package com.arrebol.taxiservicios.wrapper;

import java.io.Serializable;
import java.util.Date;

/**
 *
 * @author Carlos Janitzio Zavala Lopez
 */
public class ContractTaxiTreeNodeWrapper implements Serializable {

    private static final long serialVersionUID = -3742614513719786674L;

    String id;
    String name;
    Date endDate;
    Float price;
    boolean show;

    public ContractTaxiTreeNodeWrapper() {
    }

    /**
     *
     * @param name
     * @param endDate
     * @param price
     */
    public ContractTaxiTreeNodeWrapper(String name, Date endDate, Float price) {
        this.name = name;
        this.endDate = endDate;
        this.price = price;
    }

    /**
     * 
     * @param name
     * @param endDate
     * @param price
     * @param show 
     */
    public ContractTaxiTreeNodeWrapper(String name, Date endDate, Float price, boolean show) {
        this.name = name;
        this.endDate = endDate;
        this.price = price;
        this.show = show;
    }

    /**
     *
     * @param id
     * @param name
     * @param endDate
     * @param price
     */
    public ContractTaxiTreeNodeWrapper(String id, String name, Date endDate, Float price) {
        this.id = id;
        this.name = name;
        this.endDate = endDate;
        this.price = price;
    }

    /**
     *
     * @param id
     * @param name
     * @param endDate
     * @param price
     * @param show
     */
    public ContractTaxiTreeNodeWrapper(String id, String name, Date endDate, Float price, boolean show) {
        this.id = id;
        this.name = name;
        this.endDate = endDate;
        this.price = price;
        this.show = show;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Date getEndDate() {
        return endDate;
    }

    public void setEndDate(Date endDate) {
        this.endDate = endDate;
    }

    public Float getPrice() {
        return price;
    }

    public void setPrice(Float price) {
        this.price = price;
    }

    public boolean isShow() {
        return show;
    }

    public void setShow(boolean show) {
        this.show = show;
    }

}
